<?php
/**
 * Abstract class for syncer and cleaner
 *
 * @package northmill-online-shared
 */

declare(strict_types=1);

namespace Northmill_Online_Shared\Abstracts\Hub_API\Sync;

defined( 'ABSPATH' ) || exit;

/**
 * Class Abstract_Syncer_And_Cleaner
 */
abstract class Abstract_Syncer_And_Cleaner extends Abstract_Syncer {

	/**
	 * Clean objects after sync from Hub.
	 *
	 * @param bool $getting_all_data Whether syncer is getting all data (manual full sync).
	 */
	abstract public function clean( bool $getting_all_data ): void;
}
